*==============================================================================
* Function:			AddRegExEscape
* Purpose:			Escape certain characters in regular expressions
* Author:			Trevor Mansuy
* Copyright:		(c) 2008 Stonefield Systems Group Inc.
* Last revision:	09/03/2008
* Parameters:		tcString - the string to escape
* Returns:			the string with certain characters escaped
* Environment in:	none
* Environment out:	none
* Notes:			Certain RegExp special characters prevent matches, so
*						replace them with the appropriate "escape sequence".
*==============================================================================

lparameters tcString
local lcString
lcString = strtran(tcString, '\', '\\')
lcString = strtran(lcString, '?', '\?')
lcString = strtran(lcString, '*', '\*')
lcString = strtran(lcString, '+', '\+')
lcString = strtran(lcString, '.', '\.')
lcString = strtran(lcString, '|', '\|')
lcString = strtran(lcString, '{', '\{')
lcString = strtran(lcString, '}', '\}')
lcString = strtran(lcString, '[', '\[')
lcString = strtran(lcString, ']', '\]')
lcString = strtran(lcString, '(', '\(')
lcString = strtran(lcString, ')', '\)')
lcString = strtran(lcString, '$', '\$')
return lcString
